﻿main();
function main()
{
var myDoc = app.activeDocument;
// Создаем цвета для градиента, используем ф-цию проверки существования цвета
var myColor1 = myAddColor(myDoc, "Color1", ColorModel.process, [0, 0, 0, 0]);
var myColor2 = myAddColor(myDoc, "Color2", ColorModel.process, [0, 0, 0, 20]);
// Создаем градиент
var myGradient = myAddGradient(myDoc, 'Gr1', GradientType.RADIAL, myColor1, myColor2);
var myRec = myDoc.rectangles.add({geometricBounds:[10, 20, 110, 120]}); 
myRec.fillColor = myGradient;
}

function myAddColor(myDocument, myColorName, myColorModel, myColorValue){
	try{
		var myColor = myDocument.colors.item(myColorName);
		var myName = myColor.name;
	}
	catch (myError){
		myColor = myDocument.colors.add();
		myColor.properties = {name:myColorName, model:myColorModel, colorValue:myColorValue};
	}
	
    return myColor;
} // fnc

function myAddGradient(myDocument, myGrName, myGrType, myColor1, myColor2){
    try{
            var myGradient = myDocument.gradients.item(myGrName);
            var myName = myGradient.name;            
        }
    catch(myError) {
            myGradient = myDocument.gradients.add({name: myGrName, type:myGrType});
            myGradient.gradientStops[0].stopColor = myColor1;
            myGradient.gradientStops[1].stopColor = myColor2;
        } // catch
    return myGradient;
} // fnc
